xml: Bank.xml, xsl: makeStub.xsl

package	BankingSystem;


/**
 * Title:        Node 2 Node IPC
 * Description:  Simple IPC via interfaces demo application using IDL based interfaces
 * Copyright:    Copyright (c) 2000
 * Company:      TROy Software Products
 * @author Selvyn Wright
 * @version 1.0
 */

import   java.net.Socket;
import   node2node_ipc.TSocketMessageBase;
import   node2node_ipc.messages.*;

public	class  TBankStub  extends   Bank
{
	public	TBankStub( TSocketMessageBase msg )
	{
		itsPortal = msg;
	}


	public	Account	getAccount( String accNo
										
											 )	throws node2node_ipc.TSystemException
	{
		Socket sk = itsPortal.getSocket();

		TSendMessage   msg = new TSendMessage( sk, "n2n:",
			new String( itsPortal.objectID() ), "getAccount" );
		
		msg.writeString( accNo );
			

		
		

		msg.send();

		
		TSocketMessage result = msg.getResult();

		
		return new TAccountStub( result );
				
		
		
			
	}


	public	void	closeAccount( String accId
										
											 )	throws node2node_ipc.TSystemException
	{
		Socket sk = itsPortal.getSocket();

		TSendMessage   msg = new TSendMessage( sk, "n2n:",
			new String( itsPortal.objectID() ), "closeAccount" );
		
		msg.writeString( accId );
			

		
		

		msg.send();

		
		TSocketMessage result = msg.getResult();

		
		
		
			
	}


	public	int	createAccount( String accName
										
											 )	throws node2node_ipc.TSystemException
	{
		Socket sk = itsPortal.getSocket();

		TSendMessage   msg = new TSendMessage( sk, "n2n:",
			new String( itsPortal.objectID() ), "createAccount" );
		
		msg.writeString( accName );
			

		
		

		msg.send();

		
		TSocketMessage result = msg.getResult();

		
		return	result.readInt();
				
		
		
			
	}


	public	Account[]	getAccounts( int start, int end
										
											 )	throws node2node_ipc.TSystemException
	{
		Socket sk = itsPortal.getSocket();

		TSendMessage   msg = new TSendMessage( sk, "n2n:",
			new String( itsPortal.objectID() ), "getAccounts" );
		
		msg.writeInt( start );
			
		msg.writeInt( end );
			

		
		

		msg.send();

		
		TSocketMessage result = msg.getResult();

		
		return (Account[])result.readObject();
				
		
		
			
	}


	public	void	addAccount( Account acc
										
											 )	throws node2node_ipc.TSystemException
	{
		Socket sk = itsPortal.getSocket();

		TSendMessage   msg = new TSendMessage( sk, "n2n:",
			new String( itsPortal.objectID() ), "addAccount" );
		
		msg.writeString( acc.listener().objectId() );
			

		
		

		msg.send();

		
		TSocketMessage result = msg.getResult();

		
		
		
			
	}


	public	void	addAccountWithCustomer( Account acc, Customer newCustomer
										
											 )	throws node2node_ipc.TSystemException
	{
		Socket sk = itsPortal.getSocket();

		TSendMessage   msg = new TSendMessage( sk, "n2n:",
			new String( itsPortal.objectID() ), "addAccountWithCustomer" );
		
		msg.writeString( acc.listener().objectId() );
			
		msg.writeObject( newCustomer );
			

		
		

		msg.send();

		
		TSocketMessage result = msg.getResult();

		
		
		
			
	}


}
