<?xml version='1.0'?>
	<!--
		This is the most basic xslt sheet, the two template matches below are automatically injected into your 
		xslt sheet, by adding these templates into the sheet you override the defaults
	-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text"/>

<!--
	In this modified version of the default match template we have introduced some text ENTRY and EXIT, both of
	which will be written directly to the output stream.  
	
	This represents an important learning point, any text that is not written as an <xsl:...> statement 
	are written directly to the output stream.
			
	We have also added the <xsl:value-of select="name()"/> statement, goto http://www.w3schools.com/xpath/xpath_functions.asp
	for a list of xslt functions.  Here we send to the output stream the name of the current element
-->
<xsl:template match="/|*">
	ENTRY
	[<xsl:value-of select="name()"/>]
	<xsl:apply-templates/>
	EXIT
</xsl:template>

<!--
	There is also a built-in template rule for text and attribute nodes that copies text through:
	
	Try commenting out the xsl statement <xsl:value-of select="."/> to see what happens
-->
<xsl:template match="text()|@*">
	<xsl:value-of select="."/>
</xsl:template>

</xsl:stylesheet>