<?xml version='1.0'?>
	<!--
		This is the most basic xslt sheet, the two template matches below are automatically injected into your 
		xslt sheet, by adding these templates into the sheet you override the defaults
	-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text"/>

<!--
	We have removed the default root and any node temmplate match, so the one defined in basic-xsl-01.xsl
	will be injected into your xslt sheet, remember what it's default behaviour was?
	
	The template below will only natch on the <greeting> node, so how and why does the <troy> still get processed?
		
	The answer lies in the behaviour of the default template.  If you need to go back and look at basic-xsl-01.xsl.

	The <troy> element gets processed because of the behaviour of the default node template, because there is no
	template match for "troy" in our stylesheet, the default template is executed, it by default calls the 
	template match "text()!@*" on the troy element.  See basic-xsl-04.xsl for how we can alter this behaviour.
-->
<xsl:template match="greeting">
	ENTRY
	[<xsl:value-of select="name()"/>]
	<xsl:apply-templates/>
	EXIT
</xsl:template>

<!--
	There is also a built-in template rule for text and attribute nodes that copies text through:
-->
<xsl:template match="text()|@*">
	<xsl:value-of select="."/>
</xsl:template>

</xsl:stylesheet>