<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" indent="yes"/>

<xsl:template match="*|/"><xsl:apply-templates/></xsl:template>

<xsl:template match="text()|@*"><xsl:value-of select="."/></xsl:template>

<xsl:template match="module">
package	<xsl:value-of select="@name"/>;
<!-- Create a local variable containing all the forward nodes -->
<xsl:variable name="forwards">
	<xsl:apply-templates select="forward"/>
</xsl:variable>
<!-- Call the interfaces rule with the forward nodes -->
<xsl:apply-templates select="interface">
	<xsl:with-param name="interface_forwards" select="$forwards"/>
</xsl:apply-templates>
</xsl:template>

<xsl:template match="forward"><xsl:value-of select="@name"/>
</xsl:template>

<xsl:template match="interface">
<xsl:param name="interface_forwards"/>

<!-- command that follows simply dumps the contents of the parameter to see what it contains -->
<!-- <xsl:value-of select="$interface_forwards"/> -->
/**
 * Title:        Node 2 Node IPC
 * Description:  Simple IPC via interfaces demo application using IDL based interfaces
 * Copyright:    Copyright (c) 2000
 * Company:      TROy Software Products
 * @author Selvyn Wright
 * @version 1.0
 */



public class T<xsl:apply-templates select="@name"/>Impl  extends   <xsl:apply-templates select="@name"/>
{
   public T<xsl:apply-templates select="@name"/>Impl( String objId )
   {
		// Create a default skeleton for this implementation
      	itsSkeleton  =
            new T<xsl:apply-templates select="@name"/>Skeleton( "<xsl:apply-templates select="@name"/>", this, objId );
   }

<xsl:for-each select="operation">
	public	<xsl:value-of select="return/@type"/> <xsl:text>	</xsl:text>
		<xsl:value-of select="@name"/>( <xsl:for-each select="param">
											<xsl:call-template name="find_param"/> <xsl:text> </xsl:text>
											<xsl:value-of select="@name"/>
											<xsl:if test="position() != last()">
												<xsl:text>, </xsl:text>
											</xsl:if>
										</xsl:for-each> ) throws node2node_ipc.TSystemException
	{
		throw new node2node_ipc.TSystemException( "Not yet defined!" );
	}
</xsl:for-each>
}
</xsl:template>

<xsl:template name="find_param">
<xsl:choose>
	<xsl:when test="@type='float'">float</xsl:when>
	<xsl:when test="@type='char'">char</xsl:when>
	<xsl:when test="@type='int'">int</xsl:when>
	<xsl:when test="@type='date'">Date</xsl:when>
	<xsl:when test="@type='byte'">byte</xsl:when>
	<xsl:when test="@type='double'">double</xsl:when>
	<xsl:when test="@type='string'">String</xsl:when>
	<xsl:when test="@type='long'">long</xsl:when>
	<xsl:when test="@type='boolean'">bool</xsl:when>
	<xsl:otherwise><xsl:value-of select="@type"/></xsl:otherwise>
</xsl:choose>
</xsl:template>

</xsl:stylesheet>
